#pragma once


class CMailDlg : public CDialog
{
public:
//Constructors / Destructors
  CMailDlg(_In_opt_ CWnd* pParent = nullptr);
  CMailDlg(const CMailDlg&) = delete;
  CMailDlg(CMailDlg&&) = delete;
  ~CMailDlg() = default; //NOLINT(modernize-use-override)

//Methods
  CMailDlg& operator=(const CMailDlg&) = delete;
  CMailDlg& operator=(CMailDlg&&) = delete;

//Member variables
  enum { IDD = IDD_MAIL_DIALOG };
  CString m_sBCC;
  CString m_sBody;
  CString m_sCC;
  CString m_sFiles;
  CString m_sSubject;
  CString m_sTo;
  BOOL m_bResolve;
  BOOL m_bInteractive;
  BOOL m_bShared;
  BOOL m_bReadReceipt;
  BOOL m_bHTML;
  CString m_sProfile;
  CString m_sPassword;

protected:
//Member variables
  HICON m_hIcon;

//Methods
  BOOL OnInitDialog() override;
  void DoDataExchange(CDataExchange* pDX) override;

//Message handlers
  afx_msg void OnPaint();
  afx_msg HCURSOR OnQueryDragIcon();
  afx_msg void OnConfiguration();
  afx_msg void OnSend();
  afx_msg void OnBrowseFile();
  afx_msg void OnDestroy();
  afx_msg void OnRead();

  DECLARE_MESSAGE_MAP()
};
